<?php  
	error_reporting(E_ALL ^ E_WARNING);
  	ini_set('display_errors', 1 );
  	require_once 'header.php';
	require_once 'conect.php';

	function Confirma($msg, $pagina){
		echo'
			<div class="modal fade" id="myModal" data-backdrop="static">
				<div class="modal-dialog modal-md">
					<div class="modal-content">
						<div class="modal-body text-center" style="height:200px;">
							<i class="bi bi-check2-circle text-success"></i>
							<br>
							<h3 class="text-success font-weight-bolder">'.$msg.'</h3>
						</div>
						<div class="modal-footer">
							<button 
								class="btn btn-success mx-auto w-50" 
								onclick="redirecionar()">OK</button>
						</div>
					</div>
				</div>
			</div>
			<script>
				function redirecionar(){
					location.href = "'.$pagina.'";
				}
			</script>
		';
	}

	function Erro($msg){
		echo'
			<div class="modal fade" id="myModal" data-backdrop="static">
				<div class="modal-dialog modal-md">
					<div class="modal-content">
						<div class="modal-body text-center" style="height:200px;">
							<i class="bi bi-x-circle text-danger"></i>
							<br>
							<h3 class="text-danger font-weight-bolder">'.$msg.'</h3>
						</div>
						<div class="modal-footer">
							<button 
								class="btn btn-danger mx-auto w-50" 
								onclick="redirecionar()">OK</button>
						</div>
					</div>
				</div>
			</div>
			<script>
				function redirecionar(){
					history.go(-1);
				}
			</script>
		';
	}

	function Validar($email, $senha){
		#trata a senha gerando o hash
		$hash = hash('sha256', $senha);
		#trata $con como variável global
		global $con;
		#estrutura da consulta
		$sql = 'select cd_funcionario, nm_funcionario
						from tb_funcionario
						where
						nm_email = ? and 
						cd_senha = ?';
		$res = $con->prepare($sql);
		if($res === false){
			die('erro ao preparar a consulta: '.$con->error);
		}
		if(!$res->bind_param("ss", $email, $hash)){
			die('erro ao vincular parâmetros na consulta'.$res->error);
		}
		if(!$res->execute()){
			die('erro ao executar a consulta: '.$res->error);
		}
		$res->bind_result($idUsuario, $nmUsuario);
		$res->store_result();
		if($res->fetch()){
			session_start();
			$_SESSION['id'] = $idUsuario;
			$_SESSION['usuario'] = $nmUsuario;
			//session_regenerate_id(true);
			Confirma("Bem vindo ".$_SESSION['usuario'], "painel/index.php");
		}
		else{
			Erro("Ops! Usuário e/ou senha inválidos!");
		}
		$res->close();
	}

	if($_POST){
		Validar($_POST['email'], $_POST['senha']);
	}
	else{
		header("Location: index.php");
	}
?>
<script>
    $(document).ready(function(){
       $('#myModal').modal('show');
    });

    $('#myModal').on('shown.bs.modal', function(){
      $('#myInput').trigger('focus');
    });
</script> 

<style>
	i{font-size: 60pt;}
</style>